CGAL 5.6.3 - Algebraic Kernel

Loading...
Searching...
No Matches
List of all members
AlgebraicKernel_d_2::ConstructAlgebraicReal_2 Concept Reference
Algebraic Kernel Reference » Concepts » Bivariate Algebraic Kernel

## Definition

Constructs an `AlgebraicKernel_d_2::Algebraic_real_2`.

Refines
  `AdaptableFunctor`

See also
  `AlgebraicKernel_d_1::ConstructAlgebraicReal_1`

## Types
typedef AlgebraicKernel_d_2::Algebraic_real_2 | result_type

## Operations
result_type | operator() (int x, int y)
| introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to \( (x,y)\).
result_type | operator() (AlgebraicKernel_d_2::Bound x, AlgebraicKernel_d_2::Bound y)
| introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to \( (x,y)\).
result_type | operator() (AlgebraicKernel_d_2::Coefficient x, AlgebraicKernel_d_2::Coefficient y)
| introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to \( (x,y)\).
result_type | operator() (AlgebraicKernel_d_2::Algebraic_real_1 x, AlgebraicKernel_d_2::Algebraic_real_1 y)
| introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to \( (x,y)\).
result_type | operator() (AlgebraicKernel_d_2::Polynomial_2 f, AlgebraicKernel_d_2::Polynomial_2 g, AlgebraicKernel_d_2::size_type i)
| introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to the \( i\)-th real common solution of \( f\) and \( g\), with respect to `xy`-lexicographic order.
result_type | operator() (AlgebraicKernel_d_2::Polynomial_2 f, AlgebraicKernel_d_2::Polynomial_2 g, AlgebraicKernel_d_2::Bound x_l, AlgebraicKernel_d_2::Bound x_u, AlgebraicKernel_d_2::Bound y_l, AlgebraicKernel_d_2::Bound y_u)
| introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to the only real intersection of \( f\) and \( g\) in the open box \( B = (x_l,x_u)\times(y_l,y_u)\).

## Member Function Documentation

## ◆ operator()() [1/2]

result_type AlgebraicKernel_d_2::ConstructAlgebraicReal_2::operator() | ( | AlgebraicKernel_d_2::Polynomial_2 | f,
|  | AlgebraicKernel_d_2::Polynomial_2 | g,
|  | AlgebraicKernel_d_2::Bound | x_l,
|  | AlgebraicKernel_d_2::Bound | x_u,
|  | AlgebraicKernel_d_2::Bound | y_l,
|  | AlgebraicKernel_d_2::Bound | y_u
| ) |  |

introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to the only real intersection of \( f\) and \( g\) in the open box \( B = (x_l,x_u)\times(y_l,y_u)\).

Precondition
  \( x_l < x_u\)
  \( y_l < y_u\)
  \( f\) is square free.
  \( g\) is square free.
  \( f\) and \( g\) are coprime.
  \( f\) and \( g\) have exactly one common solution in \( B\)
  \( f\) and \( g\) have no common solution on \( \partial B\)

## ◆ operator()() [2/2]

result_type AlgebraicKernel_d_2::ConstructAlgebraicReal_2::operator() | ( | AlgebraicKernel_d_2::Polynomial_2 | f,
|  | AlgebraicKernel_d_2::Polynomial_2 | g,
|  | AlgebraicKernel_d_2::size_type | i
| ) |  |

introduces an `AlgebraicKernel_d_2::Algebraic_real_2` initialized to the \( i\)-th real common solution of \( f\) and \( g\), with respect to `xy`-lexicographic order.

The index starts at \( 0\), that is, the system must have at least \( i+1\) real solutions.

Precondition
  \( f\) is square free.
  \( g\) is square free.
  \( f\) and \( g\) are coprime.